E-MailRelay

Static Public Member Functions | List of all members
GAuth::SaslServerFactory Class Reference

Provides a factory function for SaslServer instances. More...

`#include <gsaslserverfactory.h>`

## Static Public Member Functions
static std::unique_ptr< SaslServer > | newSaslServer (const SaslServerSecrets &, const std::string &config, bool allow_apop)
| A factory function for a SaslServer. More...

## Detailed Description

Provides a factory function for SaslServer instances.

Definition at line 37 of file gsaslserverfactory.h.

## Member Function Documentation

## ◆ newSaslServer()

std::unique_ptr< GAuth::SaslServer > GAuth::SaslServerFactory::newSaslServer | ( | const SaslServerSecrets & | secrets,
|  | const std::string & | config,
|  | bool | allow_apop
| ) |  |
| static

A factory function for a SaslServer.

Definition at line 27 of file gsaslserverfactory_pam.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gauth/gsaslserverfactory.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gauth/gsaslserverfactory_pam.cpp